为什么在构建批量许可证安装程序(VLI)时会收到错误消息?

更新 Oct 12, 2020

适用于

软件

  • Volume License Manager
  • Volume License Manager 3.2

问题详述

在批量许可证管理器(VLM)3.2及更高版本中构建批量许可证安装程序(VLI)时,我会收到一条空白错误消息。我该如何解决?

解决方案

这可能是由于构建了批量许可证安装程序而导致的,该安装程序使用的NI Package Manager版本高于当前安装的批量许可证管理器版本。这些已在批量许可证管理器修补程序中得到纠正,如下所示:

NI VLM 3.2.1补丁中已修复的问题

ID描述
743697VLM 3.2无法为使用NI Package Manager 19.5创建的NI产品安装程序创建批量许可证安装程序。

NI VLM 3.2.2补丁中已修复的问题

ID描述
937862VLM 3.2.1无法为使用NI Package Manager 19.6创建的NI产品安装程序创建批量许可证安装程序。


为了确保兼容性,请从Volume License Manager下载页面将您的Volume License Manager更新到最新版本。

 

相关信息

从LabVIEW 2019及更高版本开始,所有NI安装程序现在都基于NI Package Manager软件包。您必须具有VLM 3.2或更高版本,才能为19或更高版本的任何软件版本制作自定义VLM安装程序。